org.jbpm.services.cdi.impl

## Class DeploymentServiceCDIImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.AbstractDeploymentService
  - - org.jbpm.kie.services.impl.KModuleDeploymentService
    - - org.jbpm.services.cdi.impl.DeploymentServiceCDIImpl

- All Implemented Interfaces:
    DeploymentService, ListenerSupport

      @ApplicationScoped
      public class DeploymentServiceCDIImpl
      extends KModuleDeploymentService

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.enterprise.event.Event<DeploymentEvent>` | `activateEvent`
    `protected javax.enterprise.event.Event<DeploymentEvent>` | `deactivateEvent`
    `protected javax.enterprise.event.Event<DeploymentEvent>` | `deploymentEvent`
    `protected javax.enterprise.event.Event<DeploymentEvent>` | `undeploymentEvent`

    - ### Fields inherited from class org.jbpm.kie.services.impl.KModuleDeploymentService

      `bpmn2Service, caseIdXPathExpression, executorService, formManagerService, logger, merger, processIdXPathExpression`

    - ### Fields inherited from class org.jbpm.kie.services.impl.AbstractDeploymentService

      `deploymentsMap, emf, identityProvider, listeners, managerFactory, runtimeDataService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeploymentServiceCDIImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.kie.api.runtime.manager.RegisterableItemsFactory` | `getRegisterableItemsFactory(AuditEventBuilder auditLoggerBuilder, org.kie.api.runtime.KieContainer kieContainer, KModuleDeploymentUnit unit)`
    `void` | `notifyOnActivate(DeploymentUnit unit, DeployedUnit deployedUnit)`
    `void` | `notifyOnDeactivate(DeploymentUnit unit, DeployedUnit deployedUnit)`
    `void` | `notifyOnDeploy(DeploymentUnit unit, DeployedUnit deployedUnit)`
    `void` | `notifyOnUnDeploy(DeploymentUnit unit, DeployedUnit deployedUnit)`
    `void` | `onInit()`
    `void` | `setBpmn2Service(DefinitionService bpmn2Service)`
    `void` | `setEmf(javax.persistence.EntityManagerFactory emf)`
    `void` | `setExecutorService(javax.enterprise.inject.Instance<org.kie.api.executor.ExecutorService> executorService)`
    `void` | `setFormManagerService(FormManagerService formManagerService)`
    `void` | `setIdentityProvider(org.kie.internal.identity.IdentityProvider identityProvider)`
    `void` | `setManagerFactory(org.kie.api.runtime.manager.RuntimeManagerFactory managerFactory)`
    `void` | `setRuntimeDataService(RuntimeDataService runtimeDataService)`
    `void` | `shutdown()`

    - ### Methods inherited from class org.jbpm.kie.services.impl.KModuleDeploymentService

      `activate, addClassToDeployedUnit, boostrapRuntimeEnvironmentBuilder, buildContextParameters, deactivate, deploy, getCaseId, getInstanceFromModel, getProcessId, processClassloader, processResources, setExecutorService, setMerger, undeploy`

    - ### Methods inherited from class org.jbpm.kie.services.impl.AbstractDeploymentService

      `addListener, commonDeploy, getDeployedUnit, getDeployedUnits, getDeploymentsMap, getEmf, getListeners, getManagerFactory, getRuntimeDataService, getRuntimeManager, isDeployed, removeListener, setupAuditLogger, undeploy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### deploymentEvent

          @Inject
          protected javax.enterprise.event.Event<DeploymentEvent> deploymentEvent

    - #### undeploymentEvent

          @Inject
          protected javax.enterprise.event.Event<DeploymentEvent> undeploymentEvent

    - #### activateEvent

          @Inject
          protected javax.enterprise.event.Event<DeploymentEvent> activateEvent

    - #### deactivateEvent

          @Inject
          protected javax.enterprise.event.Event<DeploymentEvent> deactivateEvent

  - ### Constructor Detail

    - #### DeploymentServiceCDIImpl

          public DeploymentServiceCDIImpl()

  - ### Method Detail

    - #### onInit

          @PostConstruct
          public void onInit()

      Overrides:
        `onInit` in class `KModuleDeploymentService`

    - #### shutdown

          @PreDestroy
          public void shutdown()

      Overrides:
        `shutdown` in class `AbstractDeploymentService`

    - #### notifyOnDeploy

          public void notifyOnDeploy(DeploymentUnit unit,
                                     DeployedUnit deployedUnit)

      Overrides:
        `notifyOnDeploy` in class `AbstractDeploymentService`

    - #### notifyOnUnDeploy

          public void notifyOnUnDeploy(DeploymentUnit unit,
                                       DeployedUnit deployedUnit)

      Overrides:
        `notifyOnUnDeploy` in class `AbstractDeploymentService`

    - #### notifyOnActivate

          public void notifyOnActivate(DeploymentUnit unit,
                                       DeployedUnit deployedUnit)

      Overrides:
        `notifyOnActivate` in class `AbstractDeploymentService`

    - #### notifyOnDeactivate

          public void notifyOnDeactivate(DeploymentUnit unit,
                                         DeployedUnit deployedUnit)

      Overrides:
        `notifyOnDeactivate` in class `AbstractDeploymentService`

    - #### setBpmn2Service

          @Inject
          public void setBpmn2Service(DefinitionService bpmn2Service)

      Overrides:
        `setBpmn2Service` in class `KModuleDeploymentService`

    - #### setManagerFactory

          @Inject
          public void setManagerFactory(org.kie.api.runtime.manager.RuntimeManagerFactory managerFactory)

      Overrides:
        `setManagerFactory` in class `AbstractDeploymentService`

    - #### setEmf

          @Inject
          public void setEmf(javax.persistence.EntityManagerFactory emf)

      Overrides:
        `setEmf` in class `AbstractDeploymentService`

    - #### setRuntimeDataService

          @Inject
          public void setRuntimeDataService(RuntimeDataService runtimeDataService)

      Overrides:
        `setRuntimeDataService` in class `AbstractDeploymentService`

    - #### setIdentityProvider

          @Inject
          public void setIdentityProvider(org.kie.internal.identity.IdentityProvider identityProvider)

      Overrides:
        `setIdentityProvider` in class `AbstractDeploymentService`

    - #### setFormManagerService

          @Inject
          public void setFormManagerService(FormManagerService formManagerService)

      Overrides:
        `setFormManagerService` in class `KModuleDeploymentService`

    - #### setExecutorService

          @Inject
          public void setExecutorService(javax.enterprise.inject.Instance<org.kie.api.executor.ExecutorService> executorService)

    - #### getRegisterableItemsFactory

          protected org.kie.api.runtime.manager.RegisterableItemsFactory getRegisterableItemsFactory(AuditEventBuilder auditLoggerBuilder,
                                                                                                     org.kie.api.runtime.KieContainer kieContainer,
                                                                                                     KModuleDeploymentUnit unit)

      Overrides:
        `getRegisterableItemsFactory` in class `KModuleDeploymentService`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.